within Buildings.Fluid.HeatExchangers;
package CoolingTowers "Package with cooling tower models"
  extends Modelica.Icons.VariantsPackage;

annotation (preferredView="info", Documentation(info="<html>
<p>
This package contains components models for cooling towers.
</p>
<p>
The model
<a href=\"modelica://Buildings.Fluid.HeatExchangers.CoolingTowers.FixedApproach\">
Buildings.Fluid.HeatExchangers.CoolingTowers.FixedApproach</a>
computes a fixed approach temperature.
</p>
<p>
The model
<a href=\"modelica://Buildings.Fluid.HeatExchangers.CoolingTowers.YorkCalc\">
Buildings.Fluid.HeatExchangers.CoolingTowers.YorkCalc</a>
computes the cooling tower performance based the York formula.
</p>
</html>"));
end CoolingTowers;
