within Buildings.Fluid.HeatExchangers.DXCoils.Data.Generic;
package BaseClasses "Package with base classes for performance data"
  extends Modelica.Icons.BasesPackage;



  annotation (Documentation(info="<html>
<p>
This package contains performance curves for the cooling capacity and the EIR 
of DX cooling coils.
For performance data of specific DX cooling coils, see the packages
<a href=\"Buildings.Fluid.HeatExchangers.DXCoils.Data.SingleSpeed\">
Buildings.Fluid.HeatExchangers.DXCoils.Data.SingleSpeed</a>
and
<a href=\"Buildings.Fluid.HeatExchangers.DXCoils.Data.DoubleSpeed\">
Buildings.Fluid.HeatExchangers.DXCoils.Data.DoubleSpeed</a>.
</p>
<p>
The data are described in 
<a href=\"modelica://Buildings.Fluid.HeatExchangers.DXCoils.Data.BaseClasses.DXCoil\">
Buildings.Fluid.HeatExchangers.DXCoils.Data.BaseClasses.DXCoil</a>.
</p>
</html>",
revisions="<html>
<ul>
<li>
July 23, 2012 by Kaustubh Phalak:<br/>
First implementation.
</li>
</ul>
</html>"));
end BaseClasses;
